import sql from "../sql";

const data = {
  cookie_cookies: [],
  cookie_sizes: [],
  cookie_flavors: [],
  cookie_methods: [],
  cookie_beverages: [],
};

Object.keys(data).forEach(cur => {
  sql.any("select data from useless where trigger = $1 limit 1", [cur])
    .then(rows => {
      data[cur] = JSON.parse(rows[0].data);
    });
});

export default bot => {
  bot._trigger.set("cookie", new bot.trigger({
    call: /^(\.|\/)cookie/i,
    set: "nxy",
    f: e => {
      const sayMethod = data.cookie_methods[~~(Math.random() * data.cookie_methods.length)];
      const sayFlavor = data.cookie_flavors[~~(Math.random() * data.cookie_flavors.length)];
      const saySize = data.cookie_sizes[~~(Math.random() * data.cookie_sizes.length)];
      const sayCookie = data.cookie_cookies[~~(Math.random() * data.cookie_cookies.length)];
      const sayBev = data.cookie_beverages[~~(Math.random() * data.cookie_beverages.length)];
      
      e.reply(`Here, I'll ${sayMethod} you a ${sayFlavor} ${saySize} ${sayCookie} cookie with a side of ${sayBev}.`);
    }
  }));
};